import { type Base, genBase } from './_base'
import type { Employee } from './employee'

export interface UnitPosition extends Base {
  unit_id: number
  code: string
  name: string
  headStatus?: boolean
  employee_id?: number

  employee?: Employee | null
}

export function genUnitPosition(): UnitPosition {
  return {
    ...genBase(),
    unit_id: 0,
    code: '',
    name: '',
    headStatus: false,
    employee_id: 0,
  }
}
